com.holonplatform.core.exceptions

## Class TypeMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.exceptions.TypeMismatchException

- All Implemented Interfaces:
    Serializable

      public class TypeMismatchException
      extends RuntimeException

  Exception thrown on a type mismatch between an expected and actual object type.

  Note that this is a runtime (unchecked) exception.

  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeMismatchException(String message)` Constructor with error message
    `TypeMismatchException(String message, Throwable cause)` Constructor with error message and nested exception
    `TypeMismatchException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeMismatchException

          public TypeMismatchException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### TypeMismatchException

          public TypeMismatchException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### TypeMismatchException

          public TypeMismatchException(String message,
                                       Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2017 The Holon Platform. All rights reserved.